local CamState = 0
local ModStatus = 1
local Target = 0

BINDING_HEADER_ZTARGETING = "Z-Targeting";
BINDING_NAME_TINYPAD_TOGGLE = "Toggle Z-Targeting";

function ZT_Load(self) 
	self:RegisterEvent("PLAYER_TARGET_CHANGED");
	
	SLASH_ZTMe1 = "/ZTMe";
	SlashCmdList["ZTMe"] = ZTMe_Slash;
	ConsoleExec("ActionCam off")
	CamState = 0
	
	DEFAULT_CHAT_FRAME:AddMessage("Z-Target Me loaded! ActionCam state set to off.");
end

function ZTarget(self)
	if (ModStatus == 1) then
		if (CamState == 0) then
			if(UnitExists("target")) then
				ConsoleExec("ActionCam focusOn")
				CamState = 1
					
				if UnitIsEnemy("player", "target") then
					if UnitIsDead("target") then
						PlaySoundFile("Sound\\targetfriendly.ogg")
					else
						PlaySoundFile("Sound\\targethostile.ogg")
					end
				elseif UnitIsFriend("player", "target") then
					PlaySoundFile("Sound\\targetfriendly.ogg")
				else
					if UnitIsDead("target") then
						PlaySoundFile("Sound\\targetfriendly.ogg")
					else
						PlaySoundFile("Sound\\targethostile.ogg")
					end
				end	
			else
				if (CamState == 0) then
					ConsoleExec("ActionCam full")
					CamState = 1
				
					PlaySoundFile("Sound\\centernormal.ogg")
				else
					ConsoleExec("ActionCam off")
					CamState = 0
				end
			end
		else
			Target = 0
			ConsoleExec("ActionCam off")
			CamState = 0
				
			if(UnitExists("target")) then
				PlaySoundFile("Sound\\cancel.ogg")
			end
		end
	end
end

function ZChange(self, event)
	if (ModStatus == 1) then
		if event =="PLAYER_TARGET_CHANGED" then 
			if (CamState == 1) then
				-- if(UnitExists("target")) then
					-- ConsoleExec("ActionCam focusOn")
					-- CamState = 1
				
					-- if UnitIsEnemy("player", "target") then
						-- if UnitIsDead("target") then
							-- PlaySoundFile("Sound\\targetfriendly.ogg")
						-- else
							-- PlaySoundFile("Sound\\targethostile.ogg")
						-- end
					-- elseif UnitIsFriend("player", "target") then
						-- PlaySoundFile("Sound\\targetfriendly.ogg")
					-- else
						-- if UnitIsDead("target") then
							-- PlaySoundFile("Sound\\targetfriendly.ogg")
						-- else
							-- PlaySoundFile("Sound\\targethostile.ogg")
						-- end
					-- end	
				-- end						
			-- else
				if(UnitExists("target")) then
					if UnitIsEnemy("player", "target") then
						if UnitIsDead("target") then
							PlaySoundFile("Sound\\targetfriendly.ogg")
						else
							PlaySoundFile("Sound\\targethostile.ogg")
						end
					elseif UnitIsFriend("player", "target") then
						PlaySoundFile("Sound\\targetfriendly.ogg")
					else
						if UnitIsDead("target") then
							PlaySoundFile("Sound\\targetfriendly.ogg")
						else
							PlaySoundFile("Sound\\targethostile.ogg")
						end
					end	
				else
					Target = 0
					ConsoleExec("ActionCam off")
					CamState = 0
				
					PlaySoundFile("Sound\\cancel.ogg")
				end
			end							
		end	
	end
end

function ZTMe_Slash(cmd)
	--If no command show options
	if cmd == "" then
		DEFAULT_CHAT_FRAME:AddMessage("Toggle Z-Targeting on and off by typing:");
		DEFAULT_CHAT_FRAME:AddMessage("'/ZTMe on' or '/ZTMe off'");
	end

	if cmd == "on" then
		if (ModStatus == 1) then
			DEFAULT_CHAT_FRAME:AddMessage("Z-Targeting is already enabled.");
		else
			ModStatus = 1
			DEFAULT_CHAT_FRAME:AddMessage("Z-Targeting enabled.");
		end
	end
	
	if cmd == "off" then
		if (ModStatus == 0) then
			DEFAULT_CHAT_FRAME:AddMessage("Z-Targeting is already disabled.");
		else
			ModStatus = 0
			DEFAULT_CHAT_FRAME:AddMessage("Z-Targeting disabled.");
		end
	end
end